Subject: RE: I-D ACTION:draft-ietf-ipv6-rfc2462bis-05.txt

From: "Elwyn Davies" <[email-masked]>
Date: Wed, 18 Aug 2004 15:57:00 +0100

Hi.

Some thoughts below...

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: 18 August 2004 14:43
> To: Davies, Elwyn [HAL02:0S00:EXCH]
> Cc: [email-masked]'
> Subject: Re: I-D ACTION:draft-ietf-ipv6-rfc2462bis-05.txt
> 
> 
> I'm replying to some of the other points you made.  I guess we may
> need a separate discussion for the rest, so I'll create dedicated
> entries for them in the issue tracker.
> 
> >>>>> On Mon, 16 Aug 2004 18:43:04 +0100, 
> >>>>> "Elwyn Davies" <[email-masked]> said:
> 
> >> > s.5.5: prefix Info options are not necessarily the only 
> >> source of prefixes
> >> > for auto-configuration.
> >> 
> >> Sorry, I don't understand the comment.  Could you be more specific?
> 
> > The first sentence of s5.5 implies that the only way to get 
> a Global Address
> > is the Stateless Autoconfig way.
> 
> > How about:
> > Once an interface has a link local address it can 
> additionally acquire one
> > or more local use or global scope addresses 
> > either through stateful or stateless autoconfiguration. In 
> stateless address
> > autoconfiguration, global and local use addresses are 
> formed by appending...
> 
> First, let's just forget "local use" addresses here (whatever you mean
> by this).  Those are not in the scope of rfc2462bis.

I was thinking of the new unique local use addresses (as per
draft-ietf-ipv6-unique-local-addr-05.txt).
There seems no reason why these sorts of prefixes shouldn't be
auto-configured.

> 
> Besides, the first sentence is not really accurate since a global
> address can be generated in concurrent with the creation of a
> link-local address.  So, we can simply say:
> 
>   In stateless address autoconfiguration, global addresses 
> are formed by
>   appending...
> 
> I don't mind to make this modification.

OK.

> 
> >> > s.5.5.2: the second para implies that 2461bis should 
> >> mention the ability to
> >> > manually configure a prefix in the default routers list 
> >> (not currently
> >> > mentioned).
> >> 
> >> Sorry, I don't understand the comment.  Could you be more specific?
> >> Is this a comment on rfc2462bis in the first place?
> 
> > Section 5.5.2 suggests that there needs to be a way to 
> manually configure a
> > router/packet forwarder address (sorry I didn't mean 
> prefix) in case a link
> > has no advertising routers.  2461bis doesn't mention such a 
> capability - the
> > default routers list is built exclusively from RAs at 
> present. Should we ask
> > for it to be added?
> 
> I'm not really sure what you meant by "the default routers list is
> built exclusively from RAs at present", but it may make sense to say
> in rfc2461bis that there is no other way to configure the "forwarding
> node's address" automatically as a (possibly bad) effect of not
> sending RAs.
> 
> In any event, I interpreted this is not a new issue for rfc2462bis.
> 
> 					JINMEI, Tatuya
> 					Communication Platform Lab.
> 					Corporate R&D Center, 
> Toshiba Corp.
> 					[email-masked]
> 
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Thu, 19 Aug 2004 00:33:21 +0900

>>>>> On Wed, 18 Aug 2004 15:57:00 +0100, 

> draft-ietf-ipv6-unique-local-addr-05.txt).

Yes, I know.

> There seems no reason why these sorts of prefixes shouldn't be

If we did that, we'd encounter a document dependency issue:
considering the fact RFC3513 (address architecture) is a normative
reference (which I think is reasonable), we'd also need to refer to
the unique-local-addr document as a normative reference, which does
even not yet become an RFC and is actually causing a discussion.

I don't think it wise to make a dependency on such a (still) stale
document, particularly because we are trying to recycle rfc2462bis as
a draft standard.

If we (some day) succeed to complete the unique-local-addr
specification, we can simply say there that "stateful address
autoconfiguration can be performed for the unique-local address just
like global addresses".

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]